JUCE: FileDragAndDropTarget Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FileDragAndDropTarget Class Referenceabstract
juce_gui_basics » mouse

Components derived from this class can have files dropped onto them by an external application. More...

`#include <juce_FileDragAndDropTarget.h>`

Inheritance diagram for FileDragAndDropTarget:

## Public Member Functions
virtual | ~FileDragAndDropTarget ()=default
| Destructor.
virtual bool | isInterestedInFileDrag (const StringArray &files)=0
| Callback to check whether this target is interested in the set of files being offered.
virtual void | fileDragEnter (const StringArray &files, int x, int y)
| Callback to indicate that some files are being dragged over this component.
virtual void | fileDragMove (const StringArray &files, int x, int y)
| Callback to indicate that the user is dragging some files over this component.
virtual void | fileDragExit (const StringArray &files)
| Callback to indicate that the mouse has moved away from this component.
virtual void | filesDropped (const StringArray &files, int x, int y)=0
| Callback to indicate that the user has dropped the files onto this component.

## Detailed Description

Components derived from this class can have files dropped onto them by an external application.

See also
  DragAndDropContainer

## Constructor & Destructor Documentation

## ◆ ~FileDragAndDropTarget()

virtual FileDragAndDropTarget::~FileDragAndDropTarget | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ isInterestedInFileDrag()

virtual bool FileDragAndDropTarget::isInterestedInFileDrag | ( | const StringArray & | files | ) |
| pure virtual

Callback to check whether this target is interested in the set of files being offered.

Note that this will be called repeatedly when the user is dragging the mouse around over your component, so don't do anything time-consuming in here, like opening the files to have a look inside them!

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging

Returns
  true if this component wants to receive the other callbacks regarding this type of object; if it returns false, no other callbacks will be made.

Implemented in FilenameComponent, FileSearchPathListComponent, and TreeView.

## ◆ fileDragEnter()

virtual void FileDragAndDropTarget::fileDragEnter | ( | const StringArray & | files,
|  | int | x,
|  | int | y
| ) |  |
| virtual

Callback to indicate that some files are being dragged over this component.

This gets called when the user moves the mouse into this component while dragging.

Use this callback as a trigger to make your component repaint itself to give the user feedback about whether the files can be dropped here or not.

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging
  x | the mouse x position, relative to this component
  y | the mouse y position, relative to this component

Reimplemented in FilenameComponent, and TreeView.

## ◆ fileDragMove()

virtual void FileDragAndDropTarget::fileDragMove | ( | const StringArray & | files,
|  | int | x,
|  | int | y
| ) |  |
| virtual

Callback to indicate that the user is dragging some files over this component.

This gets called when the user moves the mouse over this component while dragging. Normally overriding itemDragEnter() and itemDragExit() are enough, but this lets you know what happens in-between.

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging
  x | the mouse x position, relative to this component
  y | the mouse y position, relative to this component

Reimplemented in TreeView.

## ◆ fileDragExit()

virtual void FileDragAndDropTarget::fileDragExit | ( | const StringArray & | files | ) |
| virtual

Callback to indicate that the mouse has moved away from this component.

This gets called when the user moves the mouse out of this component while dragging the files.

If you've used fileDragEnter() to repaint your component and give feedback, use this as a signal to repaint it in its normal state.

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging

Reimplemented in FilenameComponent, and TreeView.

## ◆ filesDropped()

virtual void FileDragAndDropTarget::filesDropped | ( | const StringArray & | files,
|  | int | x,
|  | int | y
| ) |  |
| pure virtual

Callback to indicate that the user has dropped the files onto this component.

When the user drops the files, this get called, and you can use the files in whatever way is appropriate.

Note that after this is called, the fileDragExit method may not be called, so you should clean up in here if there's anything you need to do when the drag finishes.

Parameters

  files | the set of (absolute) pathnames of the files that the user is dragging
  x | the mouse x position, relative to this component
  y | the mouse y position, relative to this component

Implemented in FilenameComponent, TreeView, and FileSearchPathListComponent.

The documentation for this class was generated from the following file:

- juce_FileDragAndDropTarget.h